{
  inputs,
  config,
  pkgs,
  fetchFromGitHub,
  ...
}:
{
  # imports = [
  #   ../../modules/hyprland/home.nix
  #   ../../modules/quickshell/home.nix
  #   ../../modules/chromium/home.nix
  #   #./modules/neovim/home.nix
  #   ../../modules/stylix/home.nix
  #   ../../modules/nixvim/home.nix
  #   ../../modules/tmux/home.nix
  #   ../../modules/theme/home.nix
  #   # ./modules/spicetify/home.nix
  #   ../../modules/obs/home.nix
  #   ../../modules/blender/home.nix
  #   ../../modules/fish/home.nix
  #   ../../modules/ytm/home.nix
  #   ../../overlays.nix
  # ];
  modules = {
    Hyprland = {
      enable = true;
      suspend-on-hibernate = true;
    };
    quickshell.enable = true;
    # chromium.enable = true;
    wivrn.enable = true;
    helium.enable = true;
    nixvim.enable = true;
    helix.enable = false;
    stylix.enable = true;
    kitty.enable = true;
    tmux.enable = true;
    theme.enable = true;
    obs.enable = true;
    blender.enable = true;
    bottles.enable = true;
    fish.enable = true;
    youtube-music.enable = true;
    unityhub.enable = true;
    direnv.enable = true;
    git.enable = true;
    rsRPC.enable = true;
  };
  # Home Manager needs a bit of information about you and the paths it should
  # manage.
  home.username = "doloro";
  home.homeDirectory = "/home/doloro";

  wayland.windowManager.hyprland.settings = {
    monitor = [
      "HDMI-A-1, 1920x1080@60, 0x0, 1"
      "DP-3, 1920x1080@144, 1920x0, 1"
    ];
    exec-once = [
      "hyprctl dispatch workspace 2" # shit solution to get quickshell on the right monitor
    ];
    workspace = [
      "name:2, monitor:DP-3"
    ];
    input = {
      kb_layout = "gb";
      follow_mouse = 2;
      sensitivity = -0.5;
    };
  };

  services = {
    gpg-agent = {
      enable = true;
      pinentry = {
        package = pkgs.pinentry-qt;
        program = "pinentry-qt";
      };
    };
    arrpc = {
      enable = false;
    };
  };
  xdg.mimeApps.enable = true;

  # This value determines the Home Manager release that your configuration is
  # compatible with. This helps avoid breakage when a new Home Manager release
  # introduces backwards incompatible changes.
  #
  # You should not change this value, even if you update Home Manager. If you do
  # want to update the value, then make sure to first check the Home Manager
  # release notes.
  home.stateVersion = "25.05"; # Please read the comment before changing.

  # The home.packages option allows you to install Nix packages into your
  # environment.
  home.packages = with pkgs; [
    hello
    vim
    telegram-desktop
    vesktop
    # (pkgs.discord.override { withVencord = true; })
    # webcord-vencord
    # spotify
    pavucontrol
    lazygit
    btop
    sops
    alcom
    gcr
    qbittorrent
  ];
  home.sessionVariables = {
    EDITOR = "nvim";
  };
  services = {
    dunst = {
      enable = true;
    };
  };

  xdg.configFile."mimeapps.list".force = true;

  programs = {
    ssh = {
      enable = true;
      enableDefaultConfig = false;
      matchBlocks = {
        "*" = {
          addKeysToAgent = "yes";
          identityFile = [
            "~/.ssh/id_ed25519"
            "~/.ssh/id_gitea_scug"
          ];
        };
      };
    };
    home-manager.enable = true;
  };
}
